function rezi = mnk_ex(x,y)

% Вычислим приближения с различной степенью
p0 = polyfit(x, y, 0);
p1 = polyfit(x, y, 1);
p2 = polyfit(x, y, 2);
p3 = polyfit(x, y, 3);
% Вычислим ошибки (СКО) в квадрате
y0 = polyval(p0, x);
y1 = polyval(p1, x);
y2 = polyval(p2, x);
y3 = polyval(p3, x);
err0 = 1 / (4 - 0) * sum((y - y0) .^ 2);
err1 = 1 / (4 - 1) * sum((y - y1) .^ 2);
err2 = 1 / (4 - 2) * sum((y - y2) .^ 2);
err3 = 1 / (4 - 3) * sum((y - y3) .^ 2);

A = [err0 err1 err2 err3];

[rez,rezi] = min(A);